include	clib.inc
include	time.inc

DPROC	dosdate
	mov     ah,2Ah
	int     21h
	mov     ax,cx
	sub	ax,DT_BASEYEAR
	shl	ax,9
	xchg	ax,dx
	mov	cl,al
	mov	al,ah
	xor	ah,ah
	shl	ax,5
	xchg	ax,dx
	or	ax,dx
	or	al,cl
	ret
PEND	dosdate

	END